Court Structure
List all states with state codes
Returns every state and union territory with its corresponding state code. Use state codes as path parameters in other court structure endpoints.
GET
/
court-structure
/
states
List all states with state codes
curl --request GET \
--url https://api-neevlegal.neeved.com/api/v1/court-structure/states \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-neevlegal.neeved.com/api/v1/court-structure/states"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-neevlegal.neeved.com/api/v1/court-structure/states', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-neevlegal.neeved.com/api/v1/court-structure/states",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-neevlegal.neeved.com/api/v1/court-structure/states"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-neevlegal.neeved.com/api/v1/court-structure/states")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-neevlegal.neeved.com/api/v1/court-structure/states")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"response": {
"total": 28,
"data": [
{
"stateName": "Maharashtra",
"stateCode": "MH"
}
]
}
}{
"success": false,
"message": "API key not found or has been revoked.",
"moreInfo": "No additional info found."
}⌘I
List all states with state codes
curl --request GET \
--url https://api-neevlegal.neeved.com/api/v1/court-structure/states \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-neevlegal.neeved.com/api/v1/court-structure/states"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-neevlegal.neeved.com/api/v1/court-structure/states', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-neevlegal.neeved.com/api/v1/court-structure/states",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-neevlegal.neeved.com/api/v1/court-structure/states"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-neevlegal.neeved.com/api/v1/court-structure/states")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-neevlegal.neeved.com/api/v1/court-structure/states")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"response": {
"total": 28,
"data": [
{
"stateName": "Maharashtra",
"stateCode": "MH"
}
]
}
}{
"success": false,
"message": "API key not found or has been revoked.",
"moreInfo": "No additional info found."
}